Subject: RE: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt

From: "Shahrier, Sharif M." <[email-masked]>
Date: Fri, 15 Jun 2001 14:23:08 -0400

The meaning of term "Global IP Address of NAT" is:

(1) It is an address from the registered public address space.
(2) It is statically assigned to the NAT as a global address for
communication over the backbone.

Sharif

-----Original Message-----
From: Mingguey M. Yang [mailto:[email-masked]]
Sent: Friday, June 15, 2001 12:04 PM
To: [email-masked]
Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt

Sharif,

I just want to clarify what the "Global IP Address of NAT" means in the
format
of a binding of NAT.
Is it the registered IP address of the NAT-enabled router itself or one of
the
globally unique IP addresses reserved by the NAT located in the router?
Would you please identify which one it stands for?

Mingguey

"Shahrier, Sharif M." wrote:

> Mingguey,
>
>         I don't see the distinction between the two cases, since both
cases
> would statically assign a few global addresses
> to the NAT-box, for mapping and transfer over the public backbone. Are you
> saying that in the second case the global IP addresses are NOT statically
> assigned?
>
> Sharif
>
> -----Original Message-----
> From: Mingguey M. Yang [mailto:[email-masked]]
> Sent: Friday, June 15, 2001 10:48 AM
> To: [email-masked]
> Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt
>
> Sharif,
>
> Then you mean that the format of a binding in the NAT should be (A Global
IP
> Address Reserved by NAT, Local IP
> Address) instead of (Global IP Address of NAT, Local IP Address), right?
>
> Mingguey
>
> "Shahrier, Sharif M." wrote:
>
> > Mingguey,
> >
> >         If you look at RFC 3022, it describes a "traditional NAT", where
> > only registered IP addresses are used in the translation, not port
> numbers.
> > That is the model that my proposal is based on. However, it can be
> extended
> > to NAPT as well.
> >
> > Sharif.
> >
> > -----Original Message-----
> > From: Mingguey M. Yang [mailto:[email-masked]]
> > Sent: Thursday, June 14, 2001 4:38 PM
> > To: [email-masked]
> > Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt
> >
> > Sharif,
> >
> > In your proposed architecture, Basic Static NAT-routers are used. This
> means
> > that a set of globally unique IP addresses (i.e., a set of registered
> > addresses) is reserved by each NAT device (located in a NAT-enabled
> router)
> > just for the purpose of  for address translation, i.e., mapping the
> private
> > address of each local private node that wants to communicate with an
> > external
> > node (i.e., CN) to one of the reserved global addresses. This is an
> > one-to-one
> > mapping within not only the NAT table but also the entire private
network.
> >
> > Your proposal says that the format of a binding in the NAT is (Global IP
> > Address of NAT, Local IP Address). Is the "Global IP Address of NAT" the
> > registered IP address of the NAT-enabled router itself or one of the
> > globally
> > unique IP addresses reserved by the NAT located in the router? If it is
> the
> > former, then NAPT is used (instead of basic static NAT), where port
> numbers
> > are
> > involved in the address translation. If it is the later, then the format
> of
> > a
> > binding in the NAT should be (A Global IP Address Reserved by NAT, Local
> IP
> > Address).
> >
> > Mingguey
> >
> > "Shahrier, Sharif M." wrote:
> >
> > > The binding is one global address to one private address for a given
> > > session.
> > >
> > > -----Original Message-----
> > > From: Mingguey M. Yang [mailto:[email-masked]]
> > > Sent: Thursday, June 14, 2001 3:18 PM
> > > To: [email-masked]
> > > Subject: Re: [mobile-ip] I-D ACTION:draft-shahrier-mobileip-nat-00.txt
> > >
> > > Sharif,
> > >
> > > In the "System Architecture" section:
> > >    ...
> > >    The NAT tables have to be set up, to reflect the correct binding
> > >    between the global address of NAT-A and the local address of the
> > >    sender in A...
> > >
> > > Is the binding of one global address to one private address mapping?
Or
> > one
> > > global
> > > address to many private addresses mapping?
> > >
> > > Mingguey

---

From: "Mingguey M. Yang" <[email-masked]>
Date: Fri, 15 Jun 2001 15:20:01 -0500

Sharif,

Thank you for clarifying the term.
So, it is indeed one of the globally unique IP addresses reserved by the NAT for
address translation.

Would you please also clarify my another confusion?
With the nat-binding-update message (sent from the MN to the NAT) and
mobile-location-solicitation message (sent from the CN to the mobile-database),
you obviously assume that both CN and MN are aware of that the MN is a private
node. But this is against the principle of using NAT.
As stated in RFC 3022, NAT is a method by which IP addresses are mapped from one
group to another, transparent to end users. That is, both the CN and MN have no
idea of the existence of the NAT. The NAT translates the MN's private address to
a global address (i.e., NAT-translated address) in all the outgoing IP packets
from the MN, and vice versa for the IP packets in the reverse flow. The CN only
sees the MN as a public node because the NAT-translated global address is shown
in the source address field of all the packets from the MN. The MN never
realizes that its private address has been mapped to a global address and the CN
can only recognize it by its NAT-translated global address. Most importantly,
the MN has no idea of the existence of the global address. Otherwise, the MN
should have used it instead of its private address to communicate with the CN in
the first place.
Would you plase explain this confliction?
Thanks.

Mingguey